﻿$PSScriptRoot = Split-Path -parent $MyInvocation.MyCommand.Definition
Import-Module (Join-Path $PSScriptRoot 'functions.ps1')

$packageName = 'maxima'
$fileType = 'exe'
$silentArgs = '/S'
$url = 'http://sourceforge.net/projects/maxima/files/Maxima-Windows/5.37.3-Windows/maxima-clisp-5.37.3.exe/download'
$version = '5.37.3'
$installedVersion = (Get-InstallProperties).DisplayVersion

if ($version -eq $installedVersion) {
  Write-Host "Maxima v$version is already installed. No need to install again."
} else {
  Install-ChocolateyPackage $packageName $fileType $silentArgs $url
}
